Dapper, git, and version-stamp pain again

Dan Kegel dank at kegel.com
Fri Jan 12 23:29:15 CST 2007

On one of my dapper boxes (an old laptop), I got the error

main.o: In function
`check_command_line':/home/dank/wine-git/loader/main.c:89: undefined
reference to `wine_version'

today.  Turns out the version-stamp rule in loader/Makefile is
misbehaving; I had to hack that rule to not invoke git at all.
Hmm.  I remember having to do that before.  Oh, yeah, it's
coming back to me now:

Dapper's "git --version" reports 1.1.3, and
says that's too old.  Grr.

I guess I should submit a patch that checks git's version
and doesn't break the build if it's only 1.1.3...
it'd save me fifteen minutes next time I forget about this...
- Dan

More information about the wine-devel mailing list